[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Library interface version question

Scripsit Shachar Shemesh <debian@shemesh.biz>

> First, if I understand correctly, programs linked against this new
> library (which should still be called "libargtable2-0") should have a
> specific ">=" version in their dependencies. This does not currently
> happen.

You are supposed to write an appropriate shlibs file, as described in
policy §8.6. Have you done so?

> The second is that, again, if I understand correctly, a link should have
> been created from libargtable2.so.0.1 to libargtable2.so.0.1.1.

Why? This does not happen with the libraries with three-part version
numbers that I have on my system.

Henning Makholm                            "I, madam, am the Archchancellor!
                                       And I happen to run this University!"

Reply to: